#!/usr/bin/php
<?php
require_once('sdk.class.php');

// Green - A-OK
$rgb_colour = 1;

$cw = new AmazonCloudWatch(array("key" => <Your AWS Key>, "secret" => <Your AWS Secret>));

$response = $cw->describe_alarms(array("StateValue" => "ALARM"));
if ($response->isOK() == false) {
	// Blue for an invalid cloudwatch response
	$rgb_colour = 3;
} else {
	$members = $response->body->DescribeAlarmsResult->MetricAlarms->member;
	if (count($members) != 0) {
		// Red - we have an active alarm! 
		$rgb_colour = 2;
	}
}

system("usbnotifierosx_cli $rgb_colour");
